org.red5.server.api.stream

## Interface ISingleItemSubscriberStream

All Superinterfaces:
  IClientStream, IStream, ISubscriberStream

All Known Implementing Classes:
  SingleItemSubscriberStream

    public interface ISingleItemSubscriberStream
    extends ISubscriberStream

A subscriber stream that has only one item for play.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Field Summary

### Fields inherited from interface org.red5.server.api.stream.IClientStream

`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

### Method Summary

Methods
`void` `setPlayItem(IPlayItem item)` Setter for property 'playItem'.

### Methods inherited from interface org.red5.server.api.stream.ISubscriberStream

`getExecutor, getState, isPaused, onChange, pause, play, receiveAudio, receiveVideo, resume, seek, setState, stop`

### Methods inherited from interface org.red5.server.api.stream.IClientStream

`getBroadcastStreamPublishName, getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

### Methods inherited from interface org.red5.server.api.stream.IStream

`close, getCodecInfo, getCreationTime, getName, getScope, start`

### Method Detail

#### setPlayItem

    void setPlayItem(IPlayItem item)

Setter for property 'playItem'.

Parameters:
  `item` - Value to set for property 'playItem'.